import Godot from "godot"
import { Component } from "react-godot-renderer"


const CenterContainer = Component.fromClass(Godot.CenterContainer)
const VFlowContainer = Component.fromClass(Godot.VFlowContainer)
const Label = Component.fromClass(Godot.Label)

/**
 * A form UI where React controls the state
 */
export function ControlledFormRoot() {
    return (
        <CenterContainer
            anchors_preset={1}
        >
            <VFlowContainer>
                <CenterContainer>
                    <Label text="Register" />
                </CenterContainer>
            </VFlowContainer>
        </CenterContainer>
    )
}
